---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: job-worker-node-db-$userId-$sessionId
  labels:
    sessionId: "$sessionId"
    userId: "$userId"
spec:
  replicas: 1
  strategy:
    type: RollingUpdate
    rollingUpdate:
        maxSurge: 0
        maxUnavailable: 1
  selector:
    matchLabels:
      app: job-worker-node-db-$userId-$sessionId
  template:
    metadata:
      name: job-worker-node-db-$userId-$sessionId
      labels:
        app: job-worker-node-db-$userId-$sessionId
    spec:
      nodeSelector:
        bob-worker-node: bob-worker-node
      initContainers:
        - name: busybox
          image: busybox:latest
          args: ["rm", "-rf", "/var/lib/postgresql/data/lost+found"]
          volumeMounts:
            - name: nfsv-db
              mountPath: /var/lib/postgresql/data
      containers:
        - name: worker-node-db-$userId
          image: gcr.io/robust-zenith-262613/dock-worker_node-database:$image_version
          env:
            - name: POSTGRES_USER
              value: "canusi_user"
            - name: POSTGRES_PASSWORD
              value: "thisisADumbPassword997"
            - name: POSTGRES_DB
              value: "prod"
          volumeMounts:
            - name: nfsv-db
              mountPath: /var/lib/postgresql/data
      volumes:
        - name: nfsv-db
          emptyDir: {}
